#94 Eclipse crash ocasionally

closed-rejected
nobody
None
5
2014-10-26
2004-09-22
Anonymous
No

Many times as I key in my program, Eclipse crash
suddenly and leave me the following error log:

!SESSION Sep 22, 2004 00:31:47.968
---------------------------------------------
eclipse.buildId=I200406251208
java.version=1.4.2_04
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32,
NL=en_US

!ENTRY org.eclipse.ui 4 4 Sep 22, 2004 00:31:47.968
!MESSAGE Unhandled event loop exception

!ENTRY org.eclipse.ui 4 0 Sep 22, 2004 00:31:48.15
!MESSAGE No more handles
!STACK 0
org.eclipse.swt.SWTError: No more handles
at org.eclipse.swt.SWT.error(SWT.java:2717)
at org.eclipse.swt.SWT.error(SWT.java:2616)
at org.eclipse.swt.SWT.error(SWT.java:2587)
at org.eclipse.swt.graphics.Image.init(Image.java:1575)
at org.eclipse.swt.graphics.Image.init(Image.java:1689)
at org.eclipse.swt.graphics.Image.<init>(Image.java:628)
at
org.eclipse.jface.resource.ImageDescriptor.createImage(ImageDescriptor.java:169)
at
org.eclipse.jface.resource.ImageDescriptor.createImage(ImageDescriptor.java:115)
at
org.eclipse.jface.resource.ImageDescriptor.createImage(ImageDescriptor.java:97)
at
org.epic.perleditor.templates.perl.VariableEngine.complete(VariableEngine.java:94)
at
org.epic.perleditor.editors.perl.PerlCompletionProcessor.computeCompletionProposals(PerlCompletionProcessor.java:135)
at
org.eclipse.jface.text.contentassist.ContentAssistant.computeCompletionProposals(ContentAssistant.java:1472)
at
org.eclipse.jface.text.contentassist.CompletionProposalPopup.computeProposals(CompletionProposalPopup.java:242)
at
org.eclipse.jface.text.contentassist.CompletionProposalPopup.access$7(CompletionProposalPopup.java:238)
at
org.eclipse.jface.text.contentassist.CompletionProposalPopup$1.run(CompletionProposalPopup.java:197)
at
org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:69)
at
org.eclipse.jface.text.contentassist.CompletionProposalPopup.showProposals(CompletionProposalPopup.java:192)
at
org.eclipse.jface.text.contentassist.ContentAssistant$2.run(ContentAssistant.java:319)
at
org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:106)
at
org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:2749)
at
org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2434)
at
org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1377)
at
org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1348)
at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:254)
at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:141)
at
org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:96)
at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:335)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:273)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:129)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:324)
at org.eclipse.core.launcher.Main.basicRun(Main.java:183)
at org.eclipse.core.launcher.Main.run(Main.java:644)
at org.eclipse.core.launcher.Main.main(Main.java:628)

!ENTRY org.eclipse.osgi Sep 22, 2004 00:31:48.718
!MESSAGE Application error
!STACK 1
org.eclipse.swt.SWTError: No more handles
at org.eclipse.swt.SWT.error(SWT.java:2717)
at org.eclipse.swt.SWT.error(SWT.java:2616)
at org.eclipse.swt.SWT.error(SWT.java:2587)
at org.eclipse.swt.graphics.Image.<init>(Image.java:289)
at
org.eclipse.swt.widgets.ToolItem.createDisabledImage(ToolItem.java:195)
at
org.eclipse.swt.widgets.ToolItem.updateImages(ToolItem.java:794)
at
org.eclipse.swt.widgets.ToolItem.setEnabled(ToolItem.java:556)
at
org.eclipse.jface.action.StatusLine.setCancelEnabled(StatusLine.java:386)
at
org.eclipse.jface.action.StatusLineManager.setCancelEnabled(StatusLineManager.java:228)
at
org.eclipse.jface.window.ApplicationWindow.run(ApplicationWindow.java:621)
at
org.eclipse.ui.internal.WorkbenchWindow.run(WorkbenchWindow.java:1653)
at
org.eclipse.ui.internal.EditorManager.runProgressMonitorOperation(EditorManager.java:1021)
at
org.eclipse.ui.internal.EditorManager.saveAll(EditorManager.java:1123)
at
org.eclipse.ui.internal.Workbench$11.run(Workbench.java:509)
at
org.eclipse.core.internal.runtime.InternalPlatform.run(InternalPlatform.java:615)
at
org.eclipse.core.runtime.Platform.run(Platform.java:747)
at
org.eclipse.ui.internal.Workbench.saveAllEditors(Workbench.java:483)
at
org.eclipse.ui.internal.Workbench.busyClose(Workbench.java:409)
at
org.eclipse.ui.internal.Workbench.access$8(Workbench.java:400)
at
org.eclipse.ui.internal.Workbench$12.run(Workbench.java:572)
at
org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:69)
at
org.eclipse.ui.internal.Workbench.close(Workbench.java:570)
at
org.eclipse.ui.internal.WorkbenchConfigurer.emergencyClose(WorkbenchConfigurer.java:150)
at
org.eclipse.ui.internal.ide.IDEExceptionHandler.closeWorkbench(IDEExceptionHandler.java:104)
at
org.eclipse.ui.internal.ide.IDEExceptionHandler.handleException(IDEExceptionHandler.java:84)
at
org.eclipse.ui.internal.ide.IDEWorkbenchAdvisor.eventLoopException(IDEWorkbenchAdvisor.java:240)
at
org.eclipse.ui.internal.ExceptionHandler.handleException(ExceptionHandler.java:62)
at
org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1381)
at
org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1348)
at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:254)
at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:141)
at
org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:96)
at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:335)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:273)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:129)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:324)
at org.eclipse.core.launcher.Main.basicRun(Main.java:183)
at org.eclipse.core.launcher.Main.run(Main.java:644)
at org.eclipse.core.launcher.Main.main(Main.java:628)
!SESSION Sep 22, 2004 16:17:04.765
---------------------------------------------
eclipse.buildId=I200406251208
java.version=1.4.2_04
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32,
NL=en_US

!ENTRY org.eclipse.ui 4 4 Sep 22, 2004 16:17:04.765
!MESSAGE Unhandled event loop exception

!ENTRY org.eclipse.ui 4 0 Sep 22, 2004 16:17:04.781
!MESSAGE No more handles
!STACK 0
org.eclipse.swt.SWTError: No more handles
at org.eclipse.swt.SWT.error(SWT.java:2717)
at org.eclipse.swt.SWT.error(SWT.java:2616)
at org.eclipse.swt.SWT.error(SWT.java:2587)
at org.eclipse.swt.graphics.Image.init(Image.java:1575)
at org.eclipse.swt.graphics.Image.init(Image.java:1689)
at org.eclipse.swt.graphics.Image.<init>(Image.java:628)
at
org.eclipse.jface.resource.ImageDescriptor.createImage(ImageDescriptor.java:169)
at
org.eclipse.jface.resource.ImageDescriptor.createImage(ImageDescriptor.java:115)
at
org.eclipse.jface.resource.ImageDescriptor.createImage(ImageDescriptor.java:97)
at
org.epic.perleditor.templates.perl.VariableEngine.complete(VariableEngine.java:94)
at
org.epic.perleditor.editors.perl.PerlCompletionProcessor.computeCompletionProposals(PerlCompletionProcessor.java:135)
at
org.eclipse.jface.text.contentassist.ContentAssistant.computeCompletionProposals(ContentAssistant.java:1472)
at
org.eclipse.jface.text.contentassist.CompletionProposalPopup.computeProposals(CompletionProposalPopup.java:242)
at
org.eclipse.jface.text.contentassist.CompletionProposalPopup.access$7(CompletionProposalPopup.java:238)
at
org.eclipse.jface.text.contentassist.CompletionProposalPopup$1.run(CompletionProposalPopup.java:197)
at
org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:69)
at
org.eclipse.jface.text.contentassist.CompletionProposalPopup.showProposals(CompletionProposalPopup.java:192)
at
org.eclipse.jface.text.contentassist.ContentAssistant$2.run(ContentAssistant.java:319)
at
org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:106)
at
org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:2749)
at
org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2434)
at
org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1377)
at
org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1348)
at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:254)
at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:141)
at
org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:96)
at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:335)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:273)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:129)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:324)
at org.eclipse.core.launcher.Main.basicRun(Main.java:183)
at org.eclipse.core.launcher.Main.run(Main.java:644)
at org.eclipse.core.launcher.Main.main(Main.java:628)

!ENTRY org.eclipse.osgi Sep 22, 2004 16:17:05.890
!MESSAGE Application error
!STACK 1
org.eclipse.swt.SWTError: No more handles
at org.eclipse.swt.SWT.error(SWT.java:2717)
at org.eclipse.swt.SWT.error(SWT.java:2616)
at org.eclipse.swt.SWT.error(SWT.java:2587)
at org.eclipse.swt.graphics.Image.<init>(Image.java:289)
at
org.eclipse.swt.widgets.ToolItem.createDisabledImage(ToolItem.java:195)
at
org.eclipse.swt.widgets.ToolItem.updateImages(ToolItem.java:794)
at
org.eclipse.swt.widgets.ToolItem.setEnabled(ToolItem.java:556)
at
org.eclipse.jface.action.StatusLine.setCancelEnabled(StatusLine.java:386)
at
org.eclipse.jface.action.StatusLineManager.setCancelEnabled(StatusLineManager.java:228)
at
org.eclipse.jface.window.ApplicationWindow.run(ApplicationWindow.java:621)
at
org.eclipse.ui.internal.WorkbenchWindow.run(WorkbenchWindow.java:1653)
at
org.eclipse.ui.internal.EditorManager.runProgressMonitorOperation(EditorManager.java:1021)
at
org.eclipse.ui.internal.EditorManager.saveAll(EditorManager.java:1123)
at
org.eclipse.ui.internal.Workbench$11.run(Workbench.java:509)
at
org.eclipse.core.internal.runtime.InternalPlatform.run(InternalPlatform.java:615)
at
org.eclipse.core.runtime.Platform.run(Platform.java:747)
at
org.eclipse.ui.internal.Workbench.saveAllEditors(Workbench.java:483)
at
org.eclipse.ui.internal.Workbench.busyClose(Workbench.java:409)
at
org.eclipse.ui.internal.Workbench.access$8(Workbench.java:400)
at
org.eclipse.ui.internal.Workbench$12.run(Workbench.java:572)
at
org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:69)
at
org.eclipse.ui.internal.Workbench.close(Workbench.java:570)
at
org.eclipse.ui.internal.WorkbenchConfigurer.emergencyClose(WorkbenchConfigurer.java:150)
at
org.eclipse.ui.internal.ide.IDEExceptionHandler.closeWorkbench(IDEExceptionHandler.java:104)
at
org.eclipse.ui.internal.ide.IDEExceptionHandler.handleException(IDEExceptionHandler.java:84)
at
org.eclipse.ui.internal.ide.IDEWorkbenchAdvisor.eventLoopException(IDEWorkbenchAdvisor.java:240)
at
org.eclipse.ui.internal.ExceptionHandler.handleException(ExceptionHandler.java:62)
at
org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1381)
at
org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1348)
at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:254)
at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:141)
at
org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:96)
at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:335)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:273)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:129)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:324)
at org.eclipse.core.launcher.Main.basicRun(Main.java:183)
at org.eclipse.core.launcher.Main.run(Main.java:644)
at org.eclipse.core.launcher.Main.main(Main.java:628)
!SESSION Sep 22, 2004 16:17:50.875
---------------------------------------------
eclipse.buildId=I200406251208
java.version=1.4.2_04
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32,
NL=en_US

!ENTRY org.eclipse.core.runtime 4 2 Sep 22, 2004
16:17:50.875
!MESSAGE Problems occurred when invoking code from
plug-in: "org.eclipse.core.runtime".
!STACK 0
java.lang.IllegalArgumentException: null source
at java.util.EventObject.<init>(EventObject.java:34)
at
org.eclipse.jface.viewers.LabelProviderChangedEvent.<init>(LabelProviderChangedEvent.java:47)
at
org.epic.core.builders.PerlBuilder.build(PerlBuilder.java:98)
at
org.eclipse.core.internal.events.BuildManager$2.run(BuildManager.java:564)
at
org.eclipse.core.internal.runtime.InternalPlatform.run(InternalPlatform.java:615)
at
org.eclipse.core.runtime.Platform.run(Platform.java:747)
at
org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:157)
at
org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:249)
at
org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:202)
at
org.eclipse.core.internal.events.BuildManager$1.run(BuildManager.java:229)
at
org.eclipse.core.internal.runtime.InternalPlatform.run(InternalPlatform.java:615)
at
org.eclipse.core.runtime.Platform.run(Platform.java:747)
at
org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:232)
at
org.eclipse.core.internal.events.BuildManager.basicBuildLoop(BuildManager.java:268)
at
org.eclipse.core.internal.events.BuildManager.build(BuildManager.java:297)
at
org.eclipse.core.internal.events.AutoBuildJob.doBuild(AutoBuildJob.java:155)
at
org.eclipse.core.internal.events.AutoBuildJob.run(AutoBuildJob.java:212)
at
org.eclipse.core.internal.jobs.Worker.run(Worker.java:66)

!ENTRY org.eclipse.core.resources 2 75 Sep 22, 2004
16:17:50.906
!MESSAGE Errors during build.
!SUBENTRY 1 org.epic.perleditor 2 75 Sep 22, 2004
16:17:50.906
!MESSAGE Errors running builder "Perl Auto Builder" on
project epic_links.
!SUBENTRY 1 org.epic.perleditor 2 75 Sep 22, 2004
16:17:50.906
!MESSAGE null source
!STACK 0
java.lang.IllegalArgumentException: null source
at java.util.EventObject.<init>(EventObject.java:34)
at
org.eclipse.jface.viewers.LabelProviderChangedEvent.<init>(LabelProviderChangedEvent.java:47)
at
org.epic.core.builders.PerlBuilder.build(PerlBuilder.java:98)
at
org.eclipse.core.internal.events.BuildManager$2.run(BuildManager.java:564)
at
org.eclipse.core.internal.runtime.InternalPlatform.run(InternalPlatform.java:615)
at
org.eclipse.core.runtime.Platform.run(Platform.java:747)
at
org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:157)
at
org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:249)
at
org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:202)
at
org.eclipse.core.internal.events.BuildManager$1.run(BuildManager.java:229)
at
org.eclipse.core.internal.runtime.InternalPlatform.run(InternalPlatform.java:615)
at
org.eclipse.core.runtime.Platform.run(Platform.java:747)
at
org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:232)
at
org.eclipse.core.internal.events.BuildManager.basicBuildLoop(BuildManager.java:268)
at
org.eclipse.core.internal.events.BuildManager.build(BuildManager.java:297)
at
org.eclipse.core.internal.events.AutoBuildJob.doBuild(AutoBuildJob.java:155)
at
org.eclipse.core.internal.events.AutoBuildJob.run(AutoBuildJob.java:212)
at
org.eclipse.core.internal.jobs.Worker.run(Worker.java:66)

Discussion

  • LeO

    LeO - 2004-09-27

    Logged In: YES
    user_id=703323

    Can you at least specify what file you are working on
    (attach it), what have you done and what kind of EPIC
    version you are using. Otherwise the description is quite
    minimal.

     
  • Nobody/Anonymous

    Logged In: NO

    To leo_forge,

    The EPIC version I used are 0.3.0 and 0.3.7. This problem
    was occurred randomly and no fixed pattern for my Perl
    scripts. The only common thing before the Eclipse crashing
    is that as I type the '$' character, it wait for a specially
    long time to show me the variable list. Everytime EPIC makes
    Eclipse crashing when it tries to show me the variable list.
    Hope this give you any hints.

    Athens.

     
  • LeO

    LeO - 2004-10-27

    Logged In: YES
    user_id=703323

    Hm', if it's about the auto-completation then I would guess
    we have a problem to show the Tooltip-content, i.e. what
    variables are available. Generally it should work, but quite
    interesting, that you experience some problems.

    What I would suggest, is to open an Bug Ticket at Eclipse
    and see what the response is. Namely almost every Error
    shown in the above logs stems from some kind of internal
    issues of Eclipse. And only the last could be somehow hunted
    down to EPIC (which could be as well the sideeffect from the
    previous one). And I guess the Eclipse-team would also
    request additional debug-information, what I have no
    knowledge about.

    If you could post as well the Bug# then I can take a look
    and comment as well.

     
  • LeO

    LeO - 2004-12-10
    • status: open --> closed-rejected
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks